Bug 107371 - JCE/JAAS in wrong place
JCE/JAAS in wrong place
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks: 99163 106597
  Show dependency treegraph
 
Reported: 2003-10-17 11:30 EDT by Richard Li
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 11:10:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Li 2003-10-17 11:30:44 EDT
We should /not/ be deploying JAAS to WEB-INF/lib& instead putting it in the JVM
extensions directory.

We must remove JAAS & JCE from WEB-INF/lib, since its just plain wrong according
to the spec. Putting JAAS & JCE in $JAVA_HOME/jre/lib/ext will also let us
remove that hack to /usr/bin/dtomcat  which lets the CLASSPASTH through
Comment 1 Dennis Gregorovic 2003-10-23 17:04:15 EDT
the security jars have been moved out of core and into the ccm-tools RPM.  They
get installed at /usr/share/ccm-tools/lib/security.  @37346

Note You need to log in before you can comment on or make changes to this bug.